Skip to main content
`Ctrl`+`K`

# PetscDrawSPReset

Clears scatter plot to allow for reuse with new data.

## Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    PetscErrorCode PetscDrawSPReset(PetscDrawSP sp)

Not Collective

## Input Parameter

- sp - the scatter plot context.

## See Also

`PetscDrawSP`, `PetscDrawSPCreate()`, `PetscDrawSPAddPoint()`, `PetscDrawSPAddPoints()`, `PetscDrawSPDraw()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/dscatter.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages